Subject: "guix pull: error: You found a bug"

From: Jacob K <[email-masked]>
Date: Tue, 18 Mar 2025 19:27:21 -0500

When trying to run `guix pull` I got an error.

I had previously started `guix pull` but cancelled it so I could install 
IceCat more quickly, but then my laptop died in the middle of `guix 
install icecat`. It was after powering on after that power loss that I 
ran `guix pull` and got this error.

After the error, I ran `guix pull` again and this time it succeeded. The 
log for this one was too long to fit in my virtual terminal, but I have 
attached a partial log in case that's helpful. Maybe it was just a 
random error and not actually a bug, but the message said to send an 
email so I decided to report it anyway.

Let me know if there's anything else I should do to help.